Back to Amazon
Apify·Amazon
Search Amazon
/axesso_data/amazon-search-scraperasync$0.003 / resultOur Amazon Search Results Scraper extracts real-time search results from Amazon, including product titles, prices, ratings and other key details. Download the data in formats such as JSON, CSV, Excel, XML, or HTML. Fast, accurate, and designed for detailed analysis and actionable insights. Runs as an Apify actor (20–120 s); results are dataset rows.
Charged per returned row plus the flat fee.
Input
inputarrayrequiredList of inputs, each entry refers to one keyword to be pulled. Full list of valid parameter can be found in the README tab.
| Field | Type | Required | Description |
|---|---|---|---|
| input | array | yes | List of inputs, each entry refers to one keyword to be pulled. Full list of valid parameter can be found in the README tab. |
Run it
curl -s https://sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"apify","endpoint":"/axesso_data/amazon-search-scraper","input":{"input":[{"keyword":"Men Shoes","domainCode":"com","sortBy":"recent","maxPages":1,"category":"aps"}]}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.